# coding=utf-8
# --------------------------------------------------------------------------
# Copyright (c) Microsoft Corporation. All rights reserved.
# Licensed under the MIT License. See License.txt in the project root for
# license information.
#
# Code generated by Microsoft (R) AutoRest Code Generator.
# Changes may cause incorrect behavior and will be lost if the code is
# regenerated.
# --------------------------------------------------------------------------

from msrest.serialization import Model


class ContainerServiceVMDiagnostics(Model):
    """Describes VM Diagnostics.

    Variables are only populated by the server, and will be ignored when
    sending a request.

    :param enabled: Whether VM Diagnostic Agent should be provisioned on the
     Virtual Machine.
    :type enabled: bool
    :ivar storage_uri: The URI of the storage account where diagnostics will
     be stored.
    :vartype storage_uri: str
    """ 

    _validation = {
        'enabled': {'required': True},
        'storage_uri': {'readonly': True},
    }

    _attribute_map = {
        'enabled': {'key': 'enabled', 'type': 'bool'},
        'storage_uri': {'key': 'storageUri', 'type': 'str'},
    }

    def __init__(self, enabled):
        self.enabled = enabled
        self.storage_uri = None
